Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TypedClass Class Template Reference

`#include <coherence/lang/TypedClass.hpp>`

Inherits Class.

List of all members.

## Detailed Description

### template<class T>
class coherence::lang::TypedClass< T >

TypedClass provides a templated implementation of Class.

TypedClass supports classes which include a no-argument create method.

Author:
  mf 2008.04.03

## Public Types
typedef spec::Handle | Handle
| TypedClass<T> Handle definition.
typedef spec::View | View
| TypedClass<T> View definition.
typedef spec::Holder | Holder
| TypedClass<T> Holder definition.
typedef T | Type
| Class type.
## Public Member Functions
virtual Object::Handle | newInstance (ObjectArray::View vaParam) const
  | Create a new instance of the corresponding type. Parameters:
  | vaParam | the object's initialization parameters
Returns: a new instance of the corresponding type
virtual const std::type_info & | getTypeInfo () const
| Return the typeinfo for the corresponding type. Returns: the typeinfo for the corresponding type
virtual size32_t | getSize () const
| Return the shallow size for an instance of the class represented by this Class. Returns: the shallow size of an instance of the represented class.
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
## Protected Member Functions
| T ()
| Create a new TypedClass.

The documentation for this class was generated from the following file:

- coherence/lang/TypedClass.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.